| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
CTHM1176GetUtilitiesTest.cpp File Reference

Test THM1176 API: GetIdentification, GetAllRanges, GetAllUnits, GetDivisisor, GetImmediateMeasurementPeriod. More...

`#include "gtest/gtest.h"`
`#include "THM1176TestUtilities.h"`
`#include <regex>`
Include dependency graph for CTHM1176GetUtilitiesTest.cpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CTHM1176GetUtilitiesTest
| Test THM1176 API: GetIdentification, GetAllRanges, GetAllUnits, GetDivisisor. More...

## Functions
| TEST_F (CTHM1176GetUtilitiesTest, GetIdentificationString)
| TEST_F (CTHM1176GetUtilitiesTest, GetIdentificationStruct)
| TEST_F (CTHM1176GetUtilitiesTest, GetAllRanges)
| TEST_F (CTHM1176GetUtilitiesTest, GetAllUnits)
| TEST_F (CTHM1176GetUtilitiesTest, GetDivisor)
| TEST_F (CTHM1176GetUtilitiesTest, GetRotationMatrix)
| TEST_F (CTHM1176GetUtilitiesTest, GetImmediateMeasurementPeriod)

## Detailed Description

Test THM1176 API: GetIdentification, GetAllRanges, GetAllUnits, GetDivisisor, GetImmediateMeasurementPeriod.

Definition in file CTHM1176GetUtilitiesTest.cpp.

## Function Documentation

## ◆ TEST_F() [1/7]

TEST_F | ( | CTHM1176GetUtilitiesTest | ,
|  | GetAllRanges | )

Test
  Test GetAllRanges method.

Definition at line 80 of file CTHM1176GetUtilitiesTest.cpp.

## ◆ TEST_F() [2/7]

TEST_F | ( | CTHM1176GetUtilitiesTest | ,
|  | GetAllUnits | )

Test
  Test GetAllUnits method.

Definition at line 90 of file CTHM1176GetUtilitiesTest.cpp.

## ◆ TEST_F() [3/7]

TEST_F | ( | CTHM1176GetUtilitiesTest | ,
|  | GetDivisor | )

Test
  Test GetDivisor method.

Definition at line 103 of file CTHM1176GetUtilitiesTest.cpp.

## ◆ TEST_F() [4/7]

TEST_F | ( | CTHM1176GetUtilitiesTest | ,
|  | GetIdentificationString | )

Test
  Test GetIdentification method: string variant.

Definition at line 43 of file CTHM1176GetUtilitiesTest.cpp.

## ◆ TEST_F() [5/7]

TEST_F | ( | CTHM1176GetUtilitiesTest | ,
|  | GetIdentificationStruct | )

Test
  Test GetIdentification method: parsed variant.

Definition at line 61 of file CTHM1176GetUtilitiesTest.cpp.

## ◆ TEST_F() [6/7]

TEST_F | ( | CTHM1176GetUtilitiesTest | ,
|  | GetImmediateMeasurementPeriod | )

Test
  Test GetImmediateMeasurementPeriod method.

Definition at line 128 of file CTHM1176GetUtilitiesTest.cpp.

## ◆ TEST_F() [7/7]

TEST_F | ( | CTHM1176GetUtilitiesTest | ,
|  | GetRotationMatrix | )

Test
  Test GetRotationMatrix method.

Definition at line 116 of file CTHM1176GetUtilitiesTest.cpp.